Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class OSISUtil.ObjectFactory

    java.lang.Object
      org.crosswire.jsword.book.OSISUtil.ObjectFactory

Enclosing class:
  OSISUtil

    public static class OSISUtil.ObjectFactory

extends Object

A generic way of creating empty Elements of various types

Constructor Summary
`OSISUtil.ObjectFactory()`

Method Summary
`org.jdom.Element` | `createCell()`
`org.jdom.Element` | `createDiv()`
`org.jdom.Element` | `createForeign()`
`org.jdom.Element` | `createHeader()`
`org.jdom.Element` | `createHI()` Highlight
`org.jdom.Element` | `createItem()`
`org.jdom.Element` | `createL()` Line
`org.jdom.Element` | `createLB()` Line Break
`org.jdom.Element` | `createLG()` Line Group
`org.jdom.Element` | `createList()`
`org.jdom.Element` | `createName()`
`org.jdom.Element` | `createNote()`
`org.jdom.Element` | `createOsis()`
`org.jdom.Element` | `createOsisText()`
`org.jdom.Element` | `createP()`
`org.jdom.Element` | `createQ()`
`org.jdom.Element` | `createReference()`
`org.jdom.Element` | `createRow()`
`org.jdom.Element` | `createSeg()`
`org.jdom.Element` | `createSpeaker()`
`org.jdom.Element` | `createSpeech()`
`org.jdom.Element` | `createTable()`
`org.jdom.Element` | `createTitle()`
`org.jdom.Element` | `createVerse()`
`org.jdom.Element` | `createW()`
`org.jdom.Element` | `createWork()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSISUtil.ObjectFactory

    public OSISUtil.ObjectFactory()

Method Detail

### createSeg

    public org.jdom.Element createSeg()

### createOsisText

    public org.jdom.Element createOsisText()

### createHeader

    public org.jdom.Element createHeader()

### createWork

    public org.jdom.Element createWork()

### createOsis

    public org.jdom.Element createOsis()

### createDiv

    public org.jdom.Element createDiv()

### createCell

    public org.jdom.Element createCell()

### createVerse

    public org.jdom.Element createVerse()

### createW

    public org.jdom.Element createW()

### createForeign

    public org.jdom.Element createForeign()

### createItem

    public org.jdom.Element createItem()

### createP

    public org.jdom.Element createP()

### createList

    public org.jdom.Element createList()

### createQ

    public org.jdom.Element createQ()

### createName

    public org.jdom.Element createName()

### createNote

    public org.jdom.Element createNote()

### createReference

    public org.jdom.Element createReference()

### createRow

    public org.jdom.Element createRow()

### createSpeaker

    public org.jdom.Element createSpeaker()

### createSpeech

    public org.jdom.Element createSpeech()

### createTable

    public org.jdom.Element createTable()

### createTitle

    public org.jdom.Element createTitle()

### createLG

    public org.jdom.Element createLG()

  Line Group

### createL

    public org.jdom.Element createL()

  Line

### createLB

    public org.jdom.Element createLB()

  Line Break

### createHI

    public org.jdom.Element createHI()

  Highlight

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD